# Update to the sis driver provided by clevo. It's based on release 0.9.1 fd.o
# release, but it does not have a version of itself. The tarball is the fd.o
# 0.9.1 release itself. The following date macro is the date when the patch
# from the provided driver and the release was generated.
#
# The last driver provided by SiS is from 14/05/09
# This tarball was generated with the commands:

# (old: % unrar x sis_drv_src_140509_viaSIS.rar)
# (old: % cd sis_drv_src_140509/2d-driver)

# (source from 20091203)
# % unrar x Linux-driver.rar
# % cd 2d-driver
# % make distclean
# % rm -f src/*.bak
# % rm -fr src/xvmc/.deps
# % rm -fr src/xvmc/Makefile
# % for f in `find . -name \*.c -o -name \*.h`; do dos2unix -U $f; done
# % cd ..
# % mkdir xf86-video-sis-0.9.1
# % mv 2d-driver/* xf86-video-sis-0.9.1
# % chmod +x configure
# % tar jcvf xf86-video-sis-0.9.1.tar.bz2 xf86-video-sis-0.9.1
%define date 20091203
%define rel  30

# (tv) this is a fork of the sis driver by the imedia distro for SiS 67[01]:
Name: x11-driver-video-sisimedia
Version: 0.9.1
Release: %mkrel 9.%{date}.%{rel}
Summary: Video driver for SiS 670 / 671 cards
Group: System/X11
URL: http://www.linuxconsulting.ro/xorg-drivers/
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-sis-%{version}.tar.bz2

# SiS patch from 20102701
# $B[ILwhL(B (chris_ke) <chris_ke@sis.com>
# ... I just upgrade SiS source based on ver. 090109 ...
Patch1:	xf86-video-sis-0.9.1-20102701.patch
Patch2: 0002-Remove-XFree86-Misc-PassMessage-support.patch
Patch3: 0003-Fix-build-with-Werror-format-security.patch
Patch4: 0005-Fix-backlight-off-on-SiS30x.-video-bridges.patch
Patch5: 0006-Add-IgnoreHotkeyFlag-driver-option.patch
Patch6:	xf86-video-sis-0.9.1-dump-regs-after-video-init.patch
Patch7: 0007-Remove-useless-loader-symbol-lists.patch
Patch8: 0008-update-to-xextproto-7-1-support.patch
Patch9: 0009-update-for-rac-removal.patch
Patch10: 0010-change-to-use-abi-version-check.patch
Patch11: 0011-more-rac-removal.patch
Patch12: 0012-remove-mibank-h-reference.patch
Patch13: 0013-Update-to-new-CreateNewResourceType-API.patch

Patch14: xf86-video-sis-0.9.1-automake-1.13.patch

# Patches from Arch
# https://aur.archlinux.org/packages/xf86-video-sisimedia/
Patch15: 0001-Remove-xorgconfig-xorgcfg-from-See-Also-list-in-man-.patch
Patch16: 0004-Make-sisRegs3D4-big-enough-to-hold-all-values-writte.patch
Patch17: 0005-Correct-bounds-check-of-blitClip-array-access.patch
# xserver 1.12 support:
Patch18: xserver112.patch
Patch19: pciTag-removal-workaround.patch
Patch20: Untangle-XF86DRI.patch
Patch21: swap-func-rename.patch
Patch22: xf86MapDomainMemory-pci_device_map_legacy.patch
Patch23: sync-with-freedesktop.patch
Patch24: fix-xv-crash.patch
# use EXA instead of XAA:
Patch25: sisimedia-no-xaa.patch
# xserver 1.13 support:
Patch26: sisimedia-xorg-1.13.patch
Patch27: deprecated-sym2.patch
Patch28: disable-UploadToScreen-DownloadFromScreen.patch
Patch29: remove_mibstore.h.patch
# xserver 1.17 support:
Patch30: sisimedia-1.17.diff

# (tv) xserver 1.19 support:
Patch99: use-compat-api.patch
# (tv) disable acceleration b/c of corrupted screen (mga#19620):
Patch100: disable-accel-mga19620.patch
# (tv) xserver 1.20 support:
Patch101: fix-build.patch

License: MIT
ExclusiveArch: %ix86 x86_64
 
BuildRequires: pkgconfig(libdrm) >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-sisimedia is the video driver for SiS 670 / 671
cards. These are not supported by the X.org 'sis' driver. This code
is very different, so the two cannot be easily merged.

%prep
%setup -q -n xf86-video-sis-%{version}
%autopatch -p1

%build
# rename driver sisimedia so it can co-exist with x.org sis driver
# - AdamW 2008/08
sed -i -e 's,sis_drv,sisimedia_drv,g' src/Makefile.am
sed -i -e 's,\"sis\",\"sisimedia\",g' src/sis.h
sed -i -e 's,sisModuleData,sisimediaModuleData,g' src/sis_driver.c

autoreconf -ifs

%configure --disable-static
%make_build

%install
%make_install
# it's just a copy of the x.org driver manpage and so not really any
# use - AdamW 2008/08
rm -f %{buildroot}%{_mandir}/man4/sis.*

%files
%exclude %{_libdir}/xorg/modules/drivers/sisimedia_drv.la
%{_libdir}/xorg/modules/drivers/sisimedia_drv.so


%changelog
* Wed Feb 19 2020 tv <tv> 0.9.1-9.20091203.30.mga8
+ Revision: 1544090
- only build on x86 x86_64
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.9.1-9.20091203.29.mga7
+ Revision: 1301771
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 tv <tv> 0.9.1-9.20091203.28.mga7
+ Revision: 1234710
- fix build with xserver 1.20
- rebuild for xserver 1.20 RC1
- use std macros
- exclude .la file
- kill very old conflicts/obsoletes
- explain

* Wed Dec 14 2016 tv <tv> 0.9.1-9.20091203.26.mga6
+ Revision: 1075017
- disable acceleration b/c of corrupted screen (mga#19620)

* Thu Nov 17 2016 tv <tv> 0.9.1-9.20091203.25.mga6
+ Revision: 1068064
- fix build: use compat API
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 0.9.1-9.20091203.23.mga6
+ Revision: 1043289
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 0.9.1-9.20091203.22.mga6
+ Revision: 963422
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 0.9.1-9.20091203.21.mga6
+ Revision: 902315
- submit to core/release

* Wed Nov 11 2015 tv <tv> 0.9.1-8.20091203.21.mga6
+ Revision: 902068
- rebuild for new xserver

* Tue Jun 23 2015 tv <tv> 0.9.1-7.20091203.21.mga6
+ Revision: 841450
- fix build with xserver 1.17 (from arch)
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-6.20091203.20.mga5
+ Revision: 747549
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-6.20091203.19.mga5
+ Revision: 690457
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 0.9.1-6.20091203.18.mga5
+ Revision: 635053
- submit to core/release

* Fri Jun 06 2014 tv <tv> 0.9.1-5.20091203.18.mga5
+ Revision: 633698
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 0.9.1-4.20091203.18.mga5
+ Revision: 614388
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 0.9.1-3.20091203.18.mga5
+ Revision: 582357
- rebuild for new x11-server

* Fri Dec 06 2013 tmb <tmb> 0.9.1-2.20091203.18.mga4
+ Revision: 555620
- rebuild for new mesa

* Sat Oct 19 2013 umeabot <umeabot> 0.9.1-2.20091203.17.mga4
+ Revision: 525510
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 0.9.1-2.20091203.16.mga4
+ Revision: 433200
- submit to core/release

* Sun Apr 28 2013 anssi <anssi> 0.9.1-2.20091203.15.mga4
+ Revision: 411520
- re-introduce package (fixes mga #9903)
- add various patches from Archlinux fixing various bugs and adapting for
  X server 1.13
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ luigiwalser <luigiwalser>
- fix for automake 1.13
+ tv <tv>
- rebuild for new x11-server
- rebuild b/c of ia32 failure
- rebuild for new X.org server

* Tue Dec 06 2011 tmb <tmb> 0.9.1-1.20091203.11.mga2
+ Revision: 177686
- submit to core/release

* Sat Oct 08 2011 tv <tv> 0.9.1-1.20091203.10.mga2
+ Revision: 153133
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 0.9.1-1.20091203.9.mga1
+ Revision: 64415
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 0.9.1-1.20091203.8.mga1
+ Revision: 50304
- imported package x11-driver-video-sisimedia

